︠562fb3fc-a844-4b20-8417-5325023eef9fs︠
︡448ee379-3051-440b-bb4b-36a4466e5b5b︡︡{"stdout":"[0, 1, 2, 3, 4, 5]\n","done":false}︡{"done":true}
︠87f82a65-5e25-4b9c-b2bd-3bf02c2da9bbs︠
t = StandardTableaux(4).random_element()
G = DiGraph([[t,t]], loops=True)
latex(G)
view(G)
︡88e10e23-ed05-46b5-ac4d-23bb152aafc2︡{"stdout":"\\begin{tikzpicture}\n\\definecolor{cv0}{rgb}{0.0,0.0,0.0}\n\\definecolor{cfv0}{rgb}{1.0,1.0,1.0}\n\\definecolor{clv0}{rgb}{0.0,0.0,0.0}\n\\definecolor{cv0v0}{rgb}{0.0,0.0,0.0}\n%\n\\Vertex[style={minimum size=1.0cm,draw=cv0,fill=cfv0,text=clv0,shape=circle},LabelOut=false,L=\\hbox{${\\def\\lr#1{\\multicolumn{1}{|@{\\hspace{.6ex}}c@{\\hspace{.6ex}}|}{\\raisebox{-.3ex}{$#1$}}}\n\\raisebox{-.6ex}{$\\begin{array}[b]{*{3}c}\\cline{1-3}\n\\lr{1}&\\lr{2}&\\lr{4}\\\\\\cline{1-3}\n\\lr{3}\\\\\\cline{1-1}\n\\end{array}$}\n}$},x=2.5cm,y=2.5cm]{v0}\n%\n\\Loop[dist=3.0cm,dir=NO,style={color=cv0v0,},](v0)\n%\n\\end{tikzpicture}"}︡{"stdout":"\n"}︡{"d3":{"data":{"charge":-120,"directed":true,"edge_labels":false,"edge_thickness":2,"gravity":0.04,"height":null,"link_distance":50,"link_strength":1,"links":[],"loops":[{"color":"#aaa","curve":20,"name":"","source":0,"strength":0,"target":0}],"nodes":[{"group":"0","name":"[[1, 2, 4], [3]]"}],"pos":[],"vertex_labels":true,"vertex_size":7,"width":null},"viewer":"graph"}}︡{"done":true}︡
︠27011f8d-d3fb-4dd8-af21-6a4457aa64eai︠
%md
Let $G=S_5$. Then
︡8e9f3a26-da3e-4224-b228-882f30fe9567︡︡{"done":true,"md":"Let $G=S_5$. Then"}
︠7b0e31aa-07cc-4737-a265-570eab165d69︠
%gap
G:=SymmetricGroup(5);
Order(G);
︡03f85920-b22a-4b41-bd89-bb4ca5c552fd︡︡{"stdout":"Sym( [ 1 .. 5 ] )\n120","done":false}︡{"done":true}
︠f6a35501-ab34-44e5-aecc-150f9b917b14i︠
%md
its order is as above.
︡ce4f7392-684c-4520-889a-3b7c81cbb363︡︡{"done":true,"md":"its order is as above."}
︠9d7f8e7a-5234-4958-982f-1635a31820e8︠
︡9d870a5e-9ebd-4a83-bfb4-1069d9c7f40e︡
︠1ab28aa2-7710-4879-a021-85b390ed744c︠

︡447a5658-ecc1-469d-82f2-877d951aec02︡
︠db76258b-e9d2-44ae-889a-4bd7aade37a2s︠
%sage
from sage.combinat.matrices.hadamard_matrix import hadamard_matrix
hadamard_matrix?
︡e33a3121-bacd-48d2-af89-945388eb6ae9︡︡{"code":{"source":"File: /projects/sage/sage-6.9/local/lib/python2.7/site-packages/sage/combinat/matrices/hadamard_matrix.py\nSignature : hadamard_matrix()\nDocstring :\nTries to construct a Hadamard matrix using a combination of Paley\nand Sylvester constructions.\n\nEXAMPLES:\n\n   sage: hadamard_matrix(12).det()\n   2985984\n   sage: 12^6\n   2985984\n   sage: hadamard_matrix(1)\n   [1]\n   sage: hadamard_matrix(2)\n   [ 1  1]\n   [ 1 -1]\n   sage: hadamard_matrix(8)\n   [ 1  1  1  1  1  1  1  1]\n   [ 1 -1  1 -1  1 -1  1 -1]\n   [ 1  1 -1 -1  1  1 -1 -1]\n   [ 1 -1 -1  1  1 -1 -1  1]\n   [ 1  1  1  1 -1 -1 -1 -1]\n   [ 1 -1  1 -1 -1  1 -1  1]\n   [ 1  1 -1 -1 -1 -1  1  1]\n   [ 1 -1 -1  1 -1  1  1 -1]\n   sage: hadamard_matrix(8).det() == 8^4\n   True\n\nWe note that the method hadamard_matrix() returns a normalised\nHadamard matrix (the entries in the first row and column are all\n+1)\n\n   sage: hadamard_matrix(12)\n   [ 1  1  1  1  1  1| 1  1  1  1  1  1]\n   [ 1  1  1 -1 -1  1|-1 -1  1 -1 -1  1]\n   [ 1  1  1  1 -1 -1|-1  1 -1  1 -1 -1]\n   [ 1 -1  1  1  1 -1|-1 -1  1 -1  1 -1]\n   [ 1 -1 -1  1  1  1|-1 -1 -1  1 -1  1]\n   [ 1  1 -1 -1  1  1|-1  1 -1 -1  1 -1]\n   [-----------------+-----------------]\n   [ 1 -1 -1 -1 -1 -1|-1  1  1  1  1  1]\n   [ 1 -1  1 -1 -1  1| 1 -1 -1  1  1 -1]\n   [ 1  1 -1  1 -1 -1| 1 -1 -1 -1  1  1]\n   [ 1 -1  1 -1  1 -1| 1  1 -1 -1 -1  1]\n   [ 1 -1 -1  1 -1  1| 1  1  1 -1 -1 -1]\n   [ 1  1 -1 -1  1 -1| 1 -1  1  1 -1 -1]","mode":"text/x-rst","lineno":-1,"filename":null},"done":false}︡{"done":true}
︠f72217a9-b843-464d-80a1-28f57bd85062s︠
H.det().factor()
︡e02bbbe2-2162-4f44-9571-b2cfb6ad45d4︡︡{"stdout":"2^12\n","done":false}︡{"done":true}
︠7bc17042-e46c-4424-865c-2d91904825ff︠











